from django.test import TestCase

from .. import constants
from .. import utils


class StateFixture(TestCase):

    state = ""
    expected = False

    def setUp(self):
        self.result = utils._is_us_state(self.state)

    def test(self):
        self.assertEquals(self.result, self.expected)


class SubscriptionTypeFixture(TestCase):

    zip = ""
    state = ""
    county = "NOTUS"
    expected = constants.FOREIGN

    def setUp(self):
        self.result = utils.subscription_type(self.zip, self.state, self.county)

    def test(self):
        self.assertEquals(self.result, self.expected)
